org.apache.axiom.soap.impl.builder

## Class StAXSOAPModelBuilder

- java.lang.Object
- - org.apache.axiom.om.impl.builder.StAXBuilder
  - - org.apache.axiom.om.impl.builder.StAXOMBuilder
    - - org.apache.axiom.soap.impl.builder.StAXSOAPModelBuilder

- All Implemented Interfaces:
    CustomBuilderSupport, OMXMLParserWrapper, SOAPModelBuilder
  Direct Known Subclasses:
    MTOMStAXSOAPModelBuilder

      public class StAXSOAPModelBuilder
      extends StAXOMBuilder
      implements SOAPModelBuilder

  Internal implementation class.

- - ### Field Summary

    - ### Fields inherited from class org.apache.axiom.om.impl.builder.StAXBuilder

      `_isClosed, cache, charEncoding, customBuilderForPayload, customBuilders, dataHandlerReader, document, done, elementLevel, maxDepthForCustomBuilders, omfactory, parser, parserAccessed, parserException, target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StAXSOAPModelBuilder(OMMetaFactory metaFactory, javax.xml.stream.XMLStreamReader parser)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `StAXSOAPModelBuilder(OMMetaFactory metaFactory, javax.xml.stream.XMLStreamReader parser, Detachable detachable, Closeable closeable)` For internal use only.
    `StAXSOAPModelBuilder(OMMetaFactory metaFactory, javax.xml.stream.XMLStreamReader parser, String soapVersion)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `StAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `StAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser, SOAPFactory factory, String soapVersion)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `StAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser, SOAPFactory factory, String soapVersion, Detachable detachable, Closeable closeable)` For internal use only.
    `StAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser, String soapVersion)` Deprecated. Please use the `OMXMLBuilderFactory` API.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OMElement` | `constructNode(OMContainer parent, String elementName)` Instantiate the appropriate `OMElement` implementation for the current element.
    `protected OMDocument` | `createDocument()`
    `protected OMNode` | `createDTD()` Method createDTD.
    `protected OMNode` | `createEntityReference()`
    `protected OMNode` | `createNextOMElement()` Creates a new OMElement using either a CustomBuilder or the default Builder mechanism.
    `protected OMNode` | `createPI()` Method createPI.
    `OMNamespace` | `getEnvelopeNamespace()`
    `SOAPEnvelope` | `getSOAPEnvelope()` Get the SOAP envelope for the document processed by this builder.
    `SOAPFactory` | `getSOAPFactory()`
    `SOAPMessage` | `getSoapMessage()` Deprecated. Use `SOAPModelBuilder.getSOAPMessage()` instead.
    `SOAPMessage` | `getSOAPMessage()` Get the SOAP message being built by this builder.
    `protected void` | `identifySOAPVersion(String soapVersionURIFromTransport)`

    - ### Methods inherited from class org.apache.axiom.om.impl.builder.StAXOMBuilder

      `createComment, createOMElement, createPrefix, createWithCustomBuilder, getDocumentElement, getDocumentElement, isLookahead, isNamespaceURIInterning, logParserState, lookahead, next, processNamespaceData, setDoDebug, setNamespaceURIInterning`

    - ### Methods inherited from class org.apache.axiom.om.impl.builder.StAXBuilder

      `close, createDocumentIfNecessary, createOMText, debugDiscarded, detach, disableCaching, discard, discard, getAttributeCount, getAttributeName, getAttributeNamespace, getAttributePrefix, getBuilderType, getCharacterEncoding, getCharsetEncoding, getCustomBuilder, getDocument, getName, getNamespace, getNamespaceCount, getNamespacePrefix, getNamespaceUri, getParser, getPrefix, getReaderProperty, getRegisteredContentHandler, getText, init, isCache, isClosed, isCompleted, processAttributes, reenableCaching, registerCustomBuilder, registerCustomBuilderForPayload, registerExternalContentHandler, releaseParserOnClose, setAutoClose, setCache, setOMBuilderFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.axiom.om.OMXMLParserWrapper

      `close, detach, discard, getBuilderType, getCharacterEncoding, getDocument, getDocumentElement, getDocumentElement, getParser, getRegisteredContentHandler, isCache, isCompleted, next, registerExternalContentHandler, setCache`

- - ### Constructor Detail

    - #### StAXSOAPModelBuilder

          public StAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser,
                                      String soapVersion)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### StAXSOAPModelBuilder

          public StAXSOAPModelBuilder(OMMetaFactory metaFactory,
                                      javax.xml.stream.XMLStreamReader parser,
                                      String soapVersion)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### StAXSOAPModelBuilder

          public StAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### StAXSOAPModelBuilder

          public StAXSOAPModelBuilder(OMMetaFactory metaFactory,
                                      javax.xml.stream.XMLStreamReader parser,
                                      Detachable detachable,
                                      Closeable closeable)

      For internal use only.

    - #### StAXSOAPModelBuilder

          public StAXSOAPModelBuilder(OMMetaFactory metaFactory,
                                      javax.xml.stream.XMLStreamReader parser)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### StAXSOAPModelBuilder

          public StAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser,
                                      SOAPFactory factory,
                                      String soapVersion,
                                      Detachable detachable,
                                      Closeable closeable)

      For internal use only.

    - #### StAXSOAPModelBuilder

          public StAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser,
                                      SOAPFactory factory,
                                      String soapVersion)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

  - ### Method Detail

    - #### identifySOAPVersion

          protected void identifySOAPVersion(String soapVersionURIFromTransport)

      Parameters:
        `soapVersionURIFromTransport` -

    - #### getSOAPEnvelope

          public SOAPEnvelope getSOAPEnvelope()
                                       throws OMException

      Description copied from interface: `SOAPModelBuilder`
      Get the SOAP envelope for the document processed by this builder. This is a convenience method that has the same return value as `OMXMLParserWrapper.getDocumentElement()` but a different return type.
      Specified by:
        `getSOAPEnvelope` in interface `SOAPModelBuilder`
      Returns:
        the SOAP envelope
      Throws:
        `OMException`

    - #### createNextOMElement

          protected OMNode createNextOMElement()

      Description copied from class: `StAXOMBuilder`
      Creates a new OMElement using either a CustomBuilder or the default Builder mechanism.
      Overrides:
        `createNextOMElement` in class `StAXOMBuilder`
      Returns:
        TODO

    - #### constructNode

          protected OMElement constructNode(OMContainer parent,
                                            String elementName)

      Description copied from class: `StAXOMBuilder`
      Instantiate the appropriate `OMElement` implementation for the current element. This method may be overridden by subclasses to support model specific `OMElement` types. The implementation of this method is expected to initialize the `OMElement` with the specified local name and to add it to the specified parent. However, the implementation should not set the namespace of the element or process the attributes of the element. This is taken care of by the caller of this method.
      Overrides:
        `constructNode` in class `StAXOMBuilder`
      Parameters:
        `parent` - the parent for the element
        `elementName` - the local name for the element
      Returns:
        the newly created `OMElement`; must not be `null`

    - #### createDocument

          protected OMDocument createDocument()

      Overrides:
        `createDocument` in class `StAXOMBuilder`

    - #### createDTD

          protected OMNode createDTD()
                              throws OMException

      Method createDTD. Overriding the default behaviour as a SOAPMessage should not have a DTD.
      Overrides:
        `createDTD` in class `StAXOMBuilder`
      Returns:
        Returns OMNode.
      Throws:
        `OMException`

    - #### createPI

          protected OMNode createPI()
                             throws OMException

      Method createPI. Overriding the default behaviour as a SOAP Message should not have a PI.
      Overrides:
        `createPI` in class `StAXOMBuilder`
      Returns:
        Returns OMNode.
      Throws:
        `OMException`

    - #### createEntityReference

          protected OMNode createEntityReference()

      Overrides:
        `createEntityReference` in class `StAXOMBuilder`

    - #### getEnvelopeNamespace

          public OMNamespace getEnvelopeNamespace()

    - #### getSoapMessage

          public SOAPMessage getSoapMessage()

      Deprecated. Use `SOAPModelBuilder.getSOAPMessage()` instead.

    - #### getSOAPMessage

          public SOAPMessage getSOAPMessage()

      Description copied from interface: `SOAPModelBuilder`
      Get the SOAP message being built by this builder. This is a convenience method that has the same return value as `OMXMLParserWrapper.getDocument()` but a different return type.
      Specified by:
        `getSOAPMessage` in interface `SOAPModelBuilder`
      Returns:
        the SOAP message

    - #### getSOAPFactory

          public SOAPFactory getSOAPFactory()

Copyright © The Apache Software Foundation. All Rights Reserved.